GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::ParseException Class Reference

ParseException Standard exception handling object. More...

`#include <gdcmParseException.h>`

Inheritance diagram for gdcm::ParseException:
[legend]
Collaboration diagram for gdcm::ParseException:
[legend]

## Public Member Functions

| ParseException ()
virtual | ~ParseException () throw ()
const DataElement & | GetLastElement () const
ParseException & | operator= (const ParseException &orig)
void | SetLastElement (DataElement &de)
Public Member Functions inherited from gdcm::Exception
| Exception (const char *desc="None", const char *file=__FILE__, unsigned int lineNumber=__LINE__, const char *func="")
virtual | ~Exception () throw ()
const char * | GetDescription () const
| Return the Description.
const char * | what () const throw ()
| what implementation

## Detailed Description

ParseException Standard exception handling object.

## Constructor & Destructor Documentation

gdcm::ParseException::ParseException | ( |  | ) |

inline

virtual gdcm::ParseException::~ParseException | ( |  | ) | throw ()

inlinevirtual

## Member Function Documentation

const DataElement& gdcm::ParseException::GetLastElement | ( |  | ) | const

inline

ParseException& gdcm::ParseException::operator= | ( | const ParseException & | orig | ) |

inline

Assignment operator.

void gdcm::ParseException::SetLastElement | ( | DataElement & | de | ) |

inline

Equivalence operator.

Referenced by gdcm::Fragment::ReadValue().

The documentation for this class was generated from the following file:

- gdcmParseException.h